cURL
curl --request GET \ --url https://api.lpagent.io/open-api/v1/pools/{poolId}/info \ --header 'x-api-key: <api-key>'
{ "status": "success", "data": { "type": "meteora", "tokenInfo": [ { "status": "success", "data": [ { "id": "<string>", "name": "<string>", "symbol": "<string>", "icon": "<string>", "decimals": 123, "mcap": 123, "fdv": 123, "usdPrice": 123, "organicScore": 123, "holderCount": 123 } ] } ], "poolStats": {}, "poolState": {}, "poolDb": {}, "amountX": 1500.25, "amountY": 50000, "feeInfo": { "baseFeeRatePercentage": 123, "maxFeeRatePercentage": 123, "protocolFeePercentage": 123, "dynamicFee": 123 }, "feeStats": [ {} ], "liquidityViz": { "activeBin": { "binId": 123, "price": "<string>", "pricePerToken": "<string>" }, "bins": [ { "binId": 123, "xAmount": 123, "yAmount": 123, "price": "<string>", "pricePerToken": "<string>" } ] } } }
Retrieve token info, liquidity visualization, and pool data for a specific pool
Documentation IndexFetch the complete documentation index at: https://docs.lpagent.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.lpagent.io/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication
The pool address
Successfully retrieved pool info
"success"
Show child attributes
Was this page helpful?